Package com.smartgwt.client.types

# Enum EdgeName

java.lang.Object
java.lang.Enum<EdgeName>
com.smartgwt.client.types.EdgeName

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<EdgeName>`, `Constable`

public enum EdgeName extends Enum<EdgeName> implements ValueEnum
An edge or corner of a rectange, or it's center. Used in APIs such as `Canvas.resizeFrom` and `Canvas.getEventEdge()`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `B`
  bottom edge
  `BL`
  bottom-left corner
  `BR`
  bottom-right corner
  `C`
  center
  `L`
  left edge
  `R`
  right edge
  `T`
  top edge
  `TL`
  top-left corner
  `TR`
  top-right corner

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static EdgeName`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static EdgeName[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### T

    public static final EdgeName T
    top edge

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "T".

  - ### B

    public static final EdgeName B
    bottom edge

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "B".

  - ### L

    public static final EdgeName L
    left edge

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "L".

  - ### R

    public static final EdgeName R
    right edge

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "R".

  - ### TL

    public static final EdgeName TL
    top-left corner

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "TL".

  - ### TR

    public static final EdgeName TR
    top-right corner

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "TR".

  - ### BL

    public static final EdgeName BL
    bottom-left corner

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "BL".

  - ### BR

    public static final EdgeName BR
    bottom-right corner

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "BR".

  - ### C

    public static final EdgeName C
    center

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "C".

- ## Method Details

  - ### values

    public static EdgeName[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EdgeName valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`